Sql Server Instances - get Telemetry

Retrieves SQL Server instance telemetry

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/sqlServerInstances/{sqlServerInstanceName}/getTelemetry?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

The name of the Azure resource group

sqlServerInstanceName
path True

string

Name of SQL Server Instance

subscriptionId
path True

string

The ID of the Azure subscription

api-version
query True

string

The API version to use for the request

Request Body

Name Type Description
sqlServerInstanceTelemetryRequest

SqlServerInstanceTelemetryRequest

Contains the parameters to get SQL Server instance telemetry.

Responses

Name Type Description
200 OK

SqlServerInstanceTelemetryResponse

OK

202 Accepted

Arc SQL Server telemetry retrieval is in progress.

Headers

Location: string

Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Retrieves Arc SQL Server cpu utilization telemetry

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerInstances/testsqlserver/getTelemetry?api-version=2026-01-01

{
  "datasetName": "sqlserver_storage_io",
  "startTime": "2023-09-30T00:00:00Z"
}

Sample response

{
  "columns": [
    {
      "name": "row_id",
      "type": "int"
    },
    {
      "name": "sample_time_utc",
      "type": "datetime"
    },
    {
      "name": "database_id",
      "type": "int"
    },
    {
      "name": "database_name",
      "type": "string"
    },
    {
      "name": "file_id",
      "type": "int"
    },
    {
      "name": "file_type",
      "type": "string"
    },
    {
      "name": "file_size_mb",
      "type": "double"
    },
    {
      "name": "file_max_size_mb",
      "type": "double"
    },
    {
      "name": "io_stall_read_ms",
      "type": "int"
    },
    {
      "name": "num_of_reads",
      "type": "int"
    },
    {
      "name": "num_of_bytes_read",
      "type": "int"
    },
    {
      "name": "io_stall_write_ms",
      "type": "int"
    },
    {
      "name": "num_of_writes",
      "type": "int"
    },
    {
      "name": "num_of_bytes_written",
      "type": "int"
    },
    {
      "name": "io_stall_queued_read_ms",
      "type": "int"
    },
    {
      "name": "io_stall_queued_write_ms",
      "type": "int"
    },
    {
      "name": "size_on_disk_bytes",
      "type": "int"
    }
  ],
  "rows": [
    [
      "1",
      "2023-09-30T00:00:00Z",
      "1",
      "master",
      "1",
      "Data",
      "21.9375",
      "0",
      "88",
      "56",
      "3473408",
      "2",
      "3",
      "24576",
      "0",
      "0",
      "23003136"
    ],
    [
      "2",
      "2023-09-30T00:00:00Z",
      "5",
      "arcDb",
      "2",
      "Log",
      "0.625",
      "0",
      "12",
      "11",
      "208896",
      "5989",
      "853",
      "3506176",
      "0",
      "0",
      "4653056"
    ],
    [
      "3",
      "2023-09-30T00:00:00Z",
      "2",
      "model",
      "1",
      "Data",
      "4.4375",
      "0",
      "65",
      "59",
      "3284992",
      "279",
      "661",
      "5922816",
      "0",
      "0",
      "4653056"
    ]
  ],
  "nextLink": "https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/servers/testsqlserver/getTelemetry?api-version=2026-01-01"
}
Azure-AsyncOperation: https://management.azure.com/providers/Microsoft.AzureArcData/locations/eastus2euap/operationStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01
Location: https://management.azure.com/providers/Microsoft.AzureArcData/locations/eastus2euap/operationStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01

Definitions

Name Description
aggregationType

The aggregation type to use for the numerical columns in the dataset.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SqlServerInstanceTelemetryColumn

The columns of the result telemetry table for the SQL Server instance.

SqlServerInstanceTelemetryColumnType

The type of the telemetry column.

SqlServerInstanceTelemetryRequest

Contains the parameters to get SQL Server instance telemetry.

SqlServerInstanceTelemetryResponse

A section of the telemetry response for the SQL Server instance.

aggregationType

The aggregation type to use for the numerical columns in the dataset.

Value Description
Average
Minimum
Maximum
Sum
Count

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SqlServerInstanceTelemetryColumn

The columns of the result telemetry table for the SQL Server instance.

Name Type Description
name

string

The name of the telemetry column.

type

SqlServerInstanceTelemetryColumnType

The type of the telemetry column.

SqlServerInstanceTelemetryColumnType

The type of the telemetry column.

Value Description
bool
datetime
int
long
double
string
guid
timespan

SqlServerInstanceTelemetryRequest

Contains the parameters to get SQL Server instance telemetry.

Name Type Default value Description
aggregationType

aggregationType

Average

The aggregation type to use for the numerical columns in the dataset.

databaseNames

string[]

The list of database names to return telemetry for. If not specified, telemetry for all databases will be aggregated and returned.

datasetName

string

The name of the telemetry dataset to retrieve.

endTime

string (date-time)

The end time for the time range to fetch telemetry for. If not specified, the current time is used.

interval

string (duration)

PT1H

The time granularity to fetch telemetry for. This is an ISO8601 duration. Examples: PT15M, PT1H, P1D

startTime

string (date-time)

The start time for the time range to fetch telemetry for. If not specified, the current time minus 1 hour is used.

SqlServerInstanceTelemetryResponse

A section of the telemetry response for the SQL Server instance.

Name Type Description
columns

SqlServerInstanceTelemetryColumn[]

The columns of the result telemetry table for the SQL Server instance.

nextLink

string

The link to the next section of rows of the telemetry response for the SQL Server instance. Null if no more sections are available.

rows

string[]

A list of rows from the result telemetry table for the SQL Server instance.